#pragma once

#include "stdafx.h"
#include "Resource.h"
#include "Registry.h"
#include "EventLog.h"

// PIV Virtual Smart Card Reader registry keys
#define PIVVSCR_PARAMETERS_REGKEY		_T("SYSTEM\\CurrentControlSet\\Services\\PIV Virtual Smart Card Reader\\Parameters")

// PIV Virtual Smart Card Reader registry values
#define PIVVSCR_HOSTNAME_REGVALUE		_T("Host")
#define PIVVSCR_PORT_REGVALUE			_T("Port")
#define PIVVSCR_POLLINTERVAL_REGVALUE	_T("Poll Interval")
#define PIVVSCR_AUTOINSERT_REGVALUE		_T("Auto Insert")

// PIV Virtual Smart Card Reader driver device name
#define PIV_VSCRDRV_DEVICE_NAME			_T("\\\\.\\VirtualSC")

// PIV memory access driver device name
#define PIV_MEMDRV_DEVICE_NAME			_T("\\\\.\\MemWdmDevice0")